> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulse-send.jiordiviera.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List versions

> Returns the published versions of a template, newest first. The last 50 are kept.



## OpenAPI

````yaml /openapi.json get /templates/{template}/versions
openapi: 3.1.2
info:
  title: PulseSend API
  version: 1.0.0
  description: >-
    Send transactional email over HTTP. Authenticate with a `ps_live_` or
    `ps_test_` key.
servers:
  - url: https://pulse-send.jiordiviera.me/api/v1
    description: Production
security:
  - apiKey: []
tags:
  - name: Emails
  - name: Files
  - name: Templates
paths:
  /templates/{template}/versions:
    get:
      tags:
        - Templates
      summary: List versions
      description: >-
        Returns the published versions of a template, newest first. The last 50
        are kept.
      operationId: v1.templates.versions
      parameters:
        - name: template
          in: path
          required: true
          description: The template slug, or its ID prefixed `tpl_`.
          schema:
            type: string
          example: otp-login
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    const: list
                  data:
                    type: array
                    items: []
                  has_more:
                    type: boolean
                  next_cursor:
                    type: 'null'
                required:
                  - object
                  - data
                  - has_more
                  - next_cursor
components:
  securitySchemes:
    apiKey:
      type: http
      description: Your API key, `ps_live_…` or `ps_test_…`.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.